Open topic with navigation

TIBCO ActiveMatrix BusinessWorks™ Plug-in for Snowflake 6.3.0

# Configuration

On the Configuration tab, you can specify information to connect to the Snowflake data warehouse. The Configuration tab has the following sections: General, Connection, Connection Pool, and Advanced.

## General

The General panel fields are described below.

Field | Module Property | Description
--- | --- | ---
Package | No | The name of the package where the shared resource is added.
Name | No | The name to be displayed as the label for the shared resource in the process.
Description | No | A short description for the shared resource.

## Connection

The Connection panel has the following fields:

Field | Module Property | Description
--- | --- | ---
Authentication type | No | Select the authentication mechanism, in this version the following authentication types are supported: Username/Password Federated Authentication And SSO OAuth
Provider | No | Select the provider for a particular Authentication Type. In this version, the following authentication providers are available: Snowflake Okta
Account | Yes | Enter the Snowflake account name to be used for the connection. It must be specified in the format: [account.regionid.platform] Note: Do not use underscores (_) in the account name. Use hyphens (-).
Username | Yes | Enter the username of the account to be used for authentication
Password | Yes | Enter the password of the account to be used for authentication.
Okta Token Endpoint | Yes | Enter the token endpoint provided by Okta for OAuth authentication. Note: This field is enabled only when Authentication Type is `OAuth` and Provider is `Okta`.
Okta Username | Yes | Enter the username of the Okta account to be used for authentication.
Okta Password | Yes | Enter the password of the Okta account to be used for authentication.
Okta Endpoint URL | Yes | Enter the Okta account URL:
    https://<okta_account_name>.okta.com
This field is enabled only when Authentication Type is '`Federated Authentication and SSO`' and Provider is `Okta`.
Client ID | Yes | Enter the client ID of the OAuth user.
Client Secret | Yes | Enter the client secret of the OAuth user.
Scope | Yes | Limits the operations and roles permitted by the access token and what you can access after instantiating a Snowflake session. Enter a scope for Okta OAuth token in the format "session:role:<role_name>". This field is enabled only when Authentication Type is `OAuth` and Provider is `Okta`. Note: This field is not mandatory.
Authorization Code | Yes | Authorizes generation of access token and refresh token. This field is enabled only when Authentication Type is `OAuth` and Provider is `Snowflake.` Note: For Snowflake OAuth, the authorization code has to be generated using a browser. It can be used only once. A new authorization code needs to be generated at the time of creating a connection. Using Authorization Code, access token and refresh token are generated. Validity of a refresh token can be extended up to 3 months to 1 year as per Snowflake policies.
Redirect URI | Yes | The redirect URI of the integration object. This field is enabled only when Authentication Type is `OAuth` and Provider is `Snowflake.`
Login timeout (secs) | Yes | The time (in seconds) to wait for a successful database connection. The default value is 60 seconds.
Warehouse | Yes | The warehouse to run queries, which is selected from a list of warehouses.
Database | Yes | Default Database name to be used. Optional.
Schema | Yes | Default Schema name to be used. Optional.
Other Properties | Yes | Additional connection properties in the format [PropertyName=PropertyValue;]. Optional.

Note: For configuring federated authentication and SSO with Okta and external OAuth with Okta. For more information on Other Properties, see the Snowflake documentation.
Note: You can make Basic Authentication through the username and password more secure by restricting traffic from a particular IP through network and certificates.
Note: You can assign multiple roles to a user in Snowflake by mentioning these roles in the Other Properties field. The last role that you mention takes precedence when establishing a connection.

## Connection Pool

Field | Module Property | Description
--- | --- | ---
Minimum connections | Yes | The initial number of connections that are created when the pool is started. The default value is 2.
Maximum connections | Yes | The maximum number of connections that can be allocated from the connection pool at the same time. The default value is 8.
Maximum connection wait (secs) | Yes | The maximum number of seconds that the pool must wait for a connection to be returned before generating an exception. The default value is 300 seconds.

## Advanced

In the Advanced panel of the Configuration tab, you can specify additional information about the number of threads needed for processing requests.

Field | Module Property | Description
--- | --- | ---
Service No. of Threads | Yes | The number of concurrent threads for processing requests to the activity. Default value: 8. (A value less than 1 is automatically changed to the default value).

Did you find this helpful?

Yes No
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO ActiveMatrix BusinessWorks™ Plug-in for Snowflake

Copyright © 2020-2024. Cloud Software Group, Inc. All Rights Reserved.